package domain

type AlibabaWdkCouponTemplateUpdateUserInfo struct {
	/*
	   来源     */
	Source *string `json:"source,omitempty" `

	/*
	   用户id     */
	UserId *int64 `json:"user_id,omitempty" `

	/*
	   用户名称     */
	UserName *string `json:"user_name,omitempty" `
}

func (s *AlibabaWdkCouponTemplateUpdateUserInfo) SetSource(v string) *AlibabaWdkCouponTemplateUpdateUserInfo {
	s.Source = &v
	return s
}
func (s *AlibabaWdkCouponTemplateUpdateUserInfo) SetUserId(v int64) *AlibabaWdkCouponTemplateUpdateUserInfo {
	s.UserId = &v
	return s
}
func (s *AlibabaWdkCouponTemplateUpdateUserInfo) SetUserName(v string) *AlibabaWdkCouponTemplateUpdateUserInfo {
	s.UserName = &v
	return s
}
